# [THESAURUS SYNONYMS A DATA](https://github.com/FlatEarthTruther/thesaurus-synonyms-a-data)

Data scraped with spiders from [thesaurus.com](http://www.thesaurus.com) on 2018-03
[![NPM version](https://img.shields.io/npm/v/thesaurus-synonyms-a-data.svg)](https://www.npmjs.com/package/thesaurus-synonyms-a-data)
[![Build Status](https://travis-ci.org/FlatEarthTruther/thesaurus-synonyms-a-data.svg?branch=master)](https://travis-ci.org/FlatEarthTruther/thesaurus-synonyms-a-data)

[This package/repo is a dependency of thesaurus-synonyms-data](https://github.com/FlatEarthTruther/thesaurus-synonyms-data)
 
## RELATED PROJECTS

[DICTIONARY DEFINITIONS DATA](https://github.com/FlatEarthTruther/dictionary-definitions-data)
 
#### STATS

    $ wc -l a.json
    13103 a.json
  
    $ du -sh a.js*
    213M	a.json
     18M	a.json.zip

## INSTALL [PACKAGE](https://www.npmjs.com/package/thesaurus-synonyms-a-data) 📦

    npm i -S thesaurus-synonyms-a-data
    
## USAGE

Zip files containing the data get uncompressed during postinstall.    

#### LOAD SYNC
```javascript
require('thesaurus-synonyms-a-data').loadSync()
```

    [ { key: 'a bomb shelters',
        datetime: '2018-03-24 13:41:24',
        page_number: 1,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/a%20bomb%20shelters/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/1' },
      { key: 'a bomb shelter',
        datetime: '2018-03-24 13:41:24',
        page_number: 1,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/a%20bomb%20shelter/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/1' },
      { key: 'a bomb',
        datetime: '2018-03-24 13:41:24',
        page_number: 1,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/a%20bomb/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/1' },
      { key: 'a bit thick',
        datetime: '2018-03-24 13:41:24',
        page_number: 1,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/a%20bit%20thick/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/1' },
      { key: 'a bit previous',
        datetime: '2018-03-24 13:41:24',
        page_number: 1,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/a%20bit%20previous/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/1' },
      { key: 'a bundle nerves',
        datetime: '2018-03-24 13:41:28',
        page_number: 1,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/a%20bundle%20nerves/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/1' },
      { key: 'a bundle of nerve',
        datetime: '2018-03-24 13:41:28',
        page_number: 1,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/a%20bundle%20of%20nerve/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/1' },
      { key: 'a breezes',
        datetime: '2018-03-24 13:41:28',
        page_number: 1,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/a%20breezes/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/1' },
      { key: 'a bit',
        datetime: '2018-03-24 13:41:33',
        page_number: 1,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/a%20bit/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/1' },
      { key: 'a bundle nerve',
        datetime: '2018-03-24 13:41:33',
        page_number: 1,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/a%20bundle%20nerve/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/1' },
      { key: 'a breeze',
        datetime: '2018-03-24 13:41:33',
        page_number: 1,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/a%20breeze/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/1' },
      { key: 'a 1',
        datetime: '2018-03-24 13:41:28',
        page_number: 1,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/a%201/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/1' },
      { key: 'abigail',
        datetime: '2018-03-28 06:28:13',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/A00/A0020500.ogg',
           'http://static.sfdict.com/audio/A00/A0020500.mp3' ],
        page_number: 1,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abigail/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/1' },
      { key: 'abidingnesses',
        datetime: '2018-03-28 06:28:13',
        page_number: 1,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abidingnesses/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/1' },
      { key: 'abidingness',
        datetime: '2018-03-28 06:28:14',
        page_number: 1,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abidingness/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/1' },
      { key: 'abiders',
        datetime: '2018-03-28 06:28:14',
        page_number: 1,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abiders/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/1' },
      { key: 'abider',
        datetime: '2018-03-28 06:28:14',
        page_number: 1,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abider/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/1' },
      { key: 'abide by',
        datetime: '2018-03-28 06:28:15',
        page_number: 1,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abide%20by/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/1' },
      { key: 'abided by',
        datetime: '2018-03-28 06:28:14',
        page_number: 1,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abided%20by/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/1' },
      { key: 'abigails',
        datetime: '2018-03-28 06:28:27',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abigails/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abominably',
        datetime: '2018-03-28 06:28:33',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abominably/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abominable-snowman',
        datetime: '2018-03-28 06:28:33',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abominable-snowman/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abominable snowman',
        datetime: '2018-03-28 06:28:34',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abominable%20snowman/1',
        data: { synonyms: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abomb shelters',
        datetime: '2018-03-28 06:28:34',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abomb%20shelters/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abomb shelter',
        datetime: '2018-03-28 06:28:34',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abomb%20shelter/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abomb',
        datetime: '2018-03-28 06:28:34',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abomb/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abolitionist',
        datetime: '2018-03-28 06:28:35',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/A00/A0028300.ogg',
           'http://static.sfdict.com/audio/A00/A0028300.mp3' ],
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abolitionist/1',
        data: { synonyms: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abolitionisms',
        datetime: '2018-03-28 06:28:35',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abolitionisms/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abolitionism',
        datetime: '2018-03-28 06:28:35',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/A00/A0028200.ogg',
           'http://static.sfdict.com/audio/A00/A0028200.mp3' ],
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abolitionism/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abolishings',
        datetime: '2018-03-28 06:28:36',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abolishings/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abolishing segregation',
        datetime: '2018-03-28 06:28:37',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abolishing%20segregation/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abolishes segregation',
        datetime: '2018-03-28 06:28:38',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abolishes%20segregation/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abscissions',
        datetime: '2018-03-28 06:28:41',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abscissions/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abscission',
        datetime: '2018-03-28 06:28:41',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/A00/A0036200.ogg',
           'http://static.sfdict.com/audio/A00/A0036200.mp3' ],
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abscission/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abscinds',
        datetime: '2018-03-28 06:28:41',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abscinds/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'absolute indications',
        datetime: '2018-03-28 06:28:41',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/absolute%20indications/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'absolute indication',
        datetime: '2018-03-28 06:28:41',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/absolute%20indication/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abstruseness',
        datetime: '2018-03-28 06:28:41',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abstruseness/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abstractly',
        datetime: '2018-03-28 06:28:42',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abstractly/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abstractedly',
        datetime: '2018-03-28 06:28:43',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abstractedly/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abstract-thought',
        datetime: '2018-03-28 06:28:43',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abstract-thought/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abstract thought',
        datetime: '2018-03-28 06:28:43',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abstract%20thought/1',
        data: { synonyms: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abstract principles',
        datetime: '2018-03-28 06:28:43',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abstract%20principles/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abstract principle',
        datetime: '2018-03-28 06:28:43',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abstract%20principle/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abstract designs',
        datetime: '2018-03-28 06:28:44',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abstract%20designs/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abstract design',
        datetime: '2018-03-28 06:28:44',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abstract%20design/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abstract compositions',
        datetime: '2018-03-28 06:28:44',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abstract%20compositions/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abstract composition',
        datetime: '2018-03-28 06:28:44',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abstract%20composition/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abstinents',
        datetime: '2018-03-28 06:28:44',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abstinents/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abolishment',
        datetime: '2018-03-28 06:28:35',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abolishment/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abolition',
        datetime: '2018-03-28 06:28:35',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/A00/A0028100.ogg',
           'http://static.sfdict.com/audio/A00/A0028100.mp3' ],
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abolition/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abstersions',
        datetime: '2018-03-28 06:28:47',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abstersions/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abstersion',
        datetime: '2018-03-28 06:28:47',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abstersion/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'absterging',
        datetime: '2018-03-28 06:28:48',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/absterging/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'absterges',
        datetime: '2018-03-28 06:28:48',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/absterges/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abstergents',
        datetime: '2018-03-28 06:28:48',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abstergents/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abstergent',
        datetime: '2018-03-28 06:28:48',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/A00/A0040400.ogg',
           'http://static.sfdict.com/audio/A00/A0040400.mp3' ],
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abstergent/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'absterged',
        datetime: '2018-03-28 06:28:48',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/absterged/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'absterge',
        datetime: '2018-03-28 06:28:49',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/absterge/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abstentious',
        datetime: '2018-03-28 06:28:49',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abstentious/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abstention',
        datetime: '2018-03-28 06:28:49',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/A00/A0040200.ogg',
           'http://static.sfdict.com/audio/A00/A0040200.mp3' ],
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abstention/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abstemiously',
        datetime: '2018-03-28 06:28:53',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abstemiously/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abstains from',
        datetime: '2018-03-28 06:28:53',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abstains%20from/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abstainings',
        datetime: '2018-03-28 06:28:54',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abstainings/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abstaining from',
        datetime: '2018-03-28 06:28:55',
        page_number: 2,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abstaining%20from/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/2' },
      { key: 'abusive-language',
        datetime: '2018-03-28 06:28:56',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abusive-language/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'abusive talks',
        datetime: '2018-03-28 06:28:56',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abusive%20talks/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'abusive talk',
        datetime: '2018-03-28 06:28:56',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abusive%20talk/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'abusive newsgroup postings',
        datetime: '2018-03-28 06:28:56',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abusive%20newsgroup%20postings/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'abusive newsgroup posting',
        datetime: '2018-03-28 06:28:56',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abusive%20newsgroup%20posting/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'abusive newsgroup messages',
        datetime: '2018-03-28 06:28:56',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abusive%20newsgroup%20messages/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'abusive newsgroup message',
        datetime: '2018-03-28 06:28:56',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abusive%20newsgroup%20message/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'abusive language',
        datetime: '2018-03-28 06:28:57',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abusive%20language/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'abusive email messages',
        datetime: '2018-03-28 06:28:57',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abusive%20email%20messages/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'abusive email message',
        datetime: '2018-03-28 06:28:57',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abusive%20email%20message/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'abusive e-mail messages',
        datetime: '2018-03-28 06:28:57',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abusive%20e-mail%20messages/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'abusive e-mail message',
        datetime: '2018-03-28 06:28:57',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abusive%20e-mail%20message/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'abusive e mail messages',
        datetime: '2018-03-28 06:28:57',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abusive%20e%20mail%20messages/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'abusive e mail message',
        datetime: '2018-03-28 06:28:57',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abusive%20e%20mail%20message/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'abusings',
        datetime: '2018-03-28 06:28:57',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abusings/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'abusing rights',
        datetime: '2018-03-28 06:28:57',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/abusing%20rights/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'acceptably',
        datetime: '2018-03-28 06:28:59',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/acceptably/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'acceptable people',
        datetime: '2018-03-28 06:29:00',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/acceptable%20people/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'access provider',
        datetime: '2018-03-28 06:29:00',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/access%20provider/1',
        data: { synonyms: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'acceptable persons',
        datetime: '2018-03-28 06:29:00',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/acceptable%20persons/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'acceptable person',
        datetime: '2018-03-28 06:29:00',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/acceptable%20person/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'acceptable degree',
        datetime: '2018-03-28 06:29:00',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/acceptable%20degree/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'acceptability',
        datetime: '2018-03-28 06:29:00',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/acceptability/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'acceptabilities',
        datetime: '2018-03-28 06:29:01',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/acceptabilities/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'accept the responsibility for',
        datetime: '2018-03-28 06:29:02',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/accept%20the%20responsibility%20for/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'access-road',
        datetime: '2018-03-28 06:29:02',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/access-road/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'access-provider',
        datetime: '2018-03-28 06:29:02',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/access-provider/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'access road',
        datetime: '2018-03-28 06:29:02',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/access%20road/1',
        data: { synonyms: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'accepts the responsibility for',
        datetime: '2018-03-28 06:29:02',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/accepts%20the%20responsibility%20for/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'acclamatory',
        datetime: '2018-03-28 06:29:02',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/acclamatory/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'accidentprone',
        datetime: '2018-03-28 06:29:03',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/accidentprone/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'accidentalnesses',
        datetime: '2018-03-28 06:29:03',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/accidentalnesses/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'according to regulation',
        datetime: '2018-03-28 06:29:03',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/according%20to%20regulation/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'accidentalness',
        datetime: '2018-03-28 06:29:03',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/accidentalness/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      { key: 'accidentally purpose',
        datetime: '2018-03-28 06:29:04',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/accidentally%20purpose/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' },
      ... 13003 more items ]
    
#### LOAD ASYNC
```javascript
require('thesaurus-synonyms-a-data').load(function(err, data) {
    if (err) throw err;
    console.log(data[1].key)
});
```

    'a bomb shelter'


#### FIND SYNC EXAMPLE
```javascript
var _ = require('lodash');
var data = require('thesaurus-synonyms-a-data').loadSync();

function findSync(word) {
  return _.find(data, function(o) {
    return o.key === word.toLowerCase();
  } );
}
findSync('access provider');
```

    { key: 'access provider',
        datetime: '2018-03-28 06:29:00',
        page_number: 3,
        letter: 'a',
        word_url: 'http://www.thesaurus.com/browse/access%20provider/1',
        data: { synonyms: [Array] },
        page_url: 'http://www.thesaurus.com/list/a/3' }

#### FIND ASYNC EXAMPLE
```javascript
var _ = require('lodash');
var load = require('thesaurus-synonyms-a-data').load;

function find(word, callback) {
  load(function(err, data) {
    if (err) callback(err);
    var result = _.find(data, function(o) {
      return o.key === word.toLowerCase();
    } );
    callback(null, result);
  });
}
find('a bomb shelter', function(err, data) {
    if (err) throw err;
    console.log(data.data);
});   
```

    {
      "synonyms": [
        {
          "txt": "noun",
          "words": [
            {
              "category": 1,
              "url": "http://www.thesaurus.com/browse/retreat",
              "text": "retreat",
              "length": 1,
              "complexity": 1,
              "id": 1
            },
            {
              "category": 1,
              "url": "http://www.thesaurus.com/browse/A-bomb%20shelter",
              "text": "A-bomb shelter",
              "length": 3,
              "complexity": 3,
              "id": 2
            },
            {
              "category": 1,
              "url": "http://www.thesaurus.com/browse/air-raid%20shelter",
              "text": "air-raid shelter",
              "length": 3,
              "complexity": 3,
              "id": 3
            },
            {
              "category": 1,
              "url": "http://www.thesaurus.com/browse/fallout%20shelter",
              "text": "fallout shelter",
              "length": 3,
              "complexity": 3,
              "id": 4
            },
            {
              "category": 1,
              "url": "http://www.thesaurus.com/browse/safety%20island",
              "text": "safety island",
              "length": 2,
              "complexity": 3,
              "id": 5
            },
            {
              "category": 1,
              "url": "http://www.thesaurus.com/browse/safety%20isle",
              "text": "safety isle",
              "length": 2,
              "complexity": 3,
              "id": 6
            },
            {
              "category": 1,
              "url": "http://www.thesaurus.com/browse/safety%20zone",
              "text": "safety zone",
              "length": 2,
              "complexity": 3,
              "id": 7
            }
          ],
          "ttl": "bombproof shelter"
        }
      ],
      "citation": "Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.",
      "related": [
        {
          "url": "http://www.thesaurus.com/browse/bomb%20shelter",
          "text": "bomb shelter",
          "words": [
            {
              "url": "http://www.thesaurus.com/browse/A-bomb%20shelter",
              "word": "A-bomb shelter"
            },
            {
              "url": "http://www.thesaurus.com/browse/air-raid%20shelter",
              "word": "air-raid shelter"
            },
            {
              "url": "http://www.thesaurus.com/browse/fallout%20shelter",
              "word": "fallout shelter"
            },
            {
              "url": "http://www.thesaurus.com/browse/retreat",
              "word": "retreat"
            },
            {
              "url": "http://www.thesaurus.com/browse/safety%20island",
              "word": "safety island"
            },
            {
              "url": "http://www.thesaurus.com/browse/safety%20isle",
              "word": "safety isle"
            },
            {
              "url": "http://www.thesaurus.com/browse/safety%20zone",
              "word": "safety zone"
            }
          ],
          "def": "noun. bombproof shelter"
        }
      ]
    }

#### JSONLINES FORMAT

Look at [test.js](test.js) to find out more about the object structure.

    "letter" - str - word begins with this letter
    "word_url" or "url" - str - word thesaurus.com url
    "datetime" - str - datetime when data was downloaded
    "page_number" - str - the pagenumber the word was found on
    "page_url" - str - page url to word on thesaurus.com
    "key" - str - word key
    "data" - obj
        "synonyms" - arr
            "txt" - str
            "words" - arr
                "category" - int
                "url" - str
                "text" - str
                "length" - int
                "complexity" - int
                "id" - int
            "ttl" - str
        "citation" - str
        "related" - arr
            "url" - str
            "text" - str
            "words" - arr
                "url" - str
                "word" - str
            "def" - str

#### SAMPLE WORD - air ball

```json
{
  "key": "air ball",
  "datetime": "2018-03-28 06:31:54",
  "page_number": 10,
  "letter": "a",
  "word_url": "http://www.thesaurus.com/browse/air%20ball/1",
  "data": {
    "synonyms": [
      {
        "txt": "noun",
        "words": [
          {
            "category": 3,
            "url": "http://www.thesaurus.com/browse/droplet",
            "text": "droplet",
            "length": 2,
            "complexity": 2,
            "id": 1
          },
          {
            "category": 3,
            "url": "http://www.thesaurus.com/browse/balloon",
            "text": "balloon",
            "length": 2,
            "complexity": 1,
            "id": 2
          },
          {
            "category": 3,
            "url": "http://www.thesaurus.com/browse/foam",
            "text": "foam",
            "length": 1,
            "complexity": 1,
            "id": 3
          },
          {
            "category": 3,
            "url": "http://www.thesaurus.com/browse/blob",
            "text": "blob",
            "length": 1,
            "complexity": 2,
            "id": 4
          },
          {
            "category": 3,
            "url": "http://www.thesaurus.com/browse/froth",
            "text": "froth",
            "length": 1,
            "complexity": 1,
            "id": 5
          },
          {
            "category": 2,
            "url": "http://www.thesaurus.com/browse/blister",
            "text": "blister",
            "length": 2,
            "complexity": 1,
            "id": 6
          },
          {
            "category": 2,
            "url": "http://www.thesaurus.com/browse/effervescence",
            "text": "effervescence",
            "length": 3,
            "complexity": 3,
            "id": 7
          },
          {
            "category": 2,
            "url": "http://www.thesaurus.com/browse/sac",
            "text": "sac",
            "length": 1,
            "complexity": 1,
            "id": 8
          },
          {
            "category": 2,
            "url": "http://www.thesaurus.com/browse/drop",
            "text": "drop",
            "length": 1,
            "complexity": 1,
            "id": 9
          },
          {
            "category": 2,
            "url": "http://www.thesaurus.com/browse/vesicle",
            "text": "vesicle",
            "length": 2,
            "complexity": 2,
            "id": 10
          },
          {
            "category": 2,
            "url": "http://www.thesaurus.com/browse/spume",
            "text": "spume",
            "length": 1,
            "complexity": 2,
            "id": 11
          },
          {
            "category": 2,
            "url": "http://www.thesaurus.com/browse/bead",
            "text": "bead",
            "length": 1,
            "complexity": 1,
            "id": 12
          },
          {
            "category": 2,
            "url": "http://www.thesaurus.com/browse/lather",
            "text": "lather",
            "length": 1,
            "complexity": 2,
            "id": 13
          },
          {
            "category": 2,
            "url": "http://www.thesaurus.com/browse/barm",
            "text": "barm",
            "length": 1,
            "complexity": 2,
            "id": 14
          }
        ],
        "ttl": "globule of air"
      }
    ],
    "citation": "Roget's 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.",
    "related": [
      {
        "url": "http://www.thesaurus.com/browse/bubble",
        "text": "bubble",
        "words": [
          {
            "url": "http://www.thesaurus.com/browse/air%20ball",
            "word": "air ball"
          },
          {
            "url": "http://www.thesaurus.com/browse/balloon",
            "word": "balloon"
          },
          {
            "url": "http://www.thesaurus.com/browse/barm",
            "word": "barm"
          },
          {
            "url": "http://www.thesaurus.com/browse/bead",
            "word": "bead"
          },
          {
            "url": "http://www.thesaurus.com/browse/blister",
            "word": "blister"
          },
          {
            "url": "http://www.thesaurus.com/browse/blob",
            "word": "blob"
          },
          {
            "url": "http://www.thesaurus.com/browse/drop",
            "word": "drop"
          },
          {
            "url": "http://www.thesaurus.com/browse/droplet",
            "word": "droplet"
          },
          {
            "url": "http://www.thesaurus.com/browse/effervescence",
            "word": "effervescence"
          },
          {
            "url": "http://www.thesaurus.com/browse/foam",
            "word": "foam"
          },
          {
            "url": "http://www.thesaurus.com/browse/froth",
            "word": "froth"
          },
          {
            "url": "http://www.thesaurus.com/browse/lather",
            "word": "lather"
          },
          {
            "url": "http://www.thesaurus.com/browse/sac",
            "word": "sac"
          },
          {
            "url": "http://www.thesaurus.com/browse/spume",
            "word": "spume"
          },
          {
            "url": "http://www.thesaurus.com/browse/vesicle",
            "word": "vesicle"
          }
        ],
        "def": "noun. globule of air"
      }
    ]
  },
  "page_url": "http://www.thesaurus.com/list/a/10"
}
```

## TESTS

Accepted param `--verbose` or `-v` to get detailed output of data being tested.

    npm test -- --verbose
    # or
    npm run test
    # or
    node --max_old_space_size=4096 ./test.js -v
    # or
    ./test.js

Should say: `All tests passed!`

Please note some of the data files are so large that they had to be left out of the tests, in fact some of the data files will give you `FATAL ERROR` when you try to load them, in that case give node more memory when you run the script, `node --max_old_space_size=4096  test.js`, increase size as necessary.

## LICENSE

This is free and unencumbered software released into the public domain.

Anyone is free to copy, modify, publish, use, compile, sell, or
distribute this software, either in source code form or as a compiled
binary, for any purpose, commercial or non-commercial, and by any
means.

In jurisdictions that recognize copyright laws, the author or authors
of this software dedicate any and all copyright interest in the
software to the public domain. We make this dedication for the benefit
of the public at large and to the detriment of our heirs and
successors. We intend this dedication to be an overt act of
relinquishment in perpetuity of all present and future rights to this
software under copyright law.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR
OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.

For more information, please refer to <http://unlicense.org>

    
